@import '../../../css/vars.scss';

.mat-dialog-content-container {
    min-height: 500px;
}

.highlight {
    font-size: 110%;
}

.loading {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ffffffb3;
    z-index: 2;
    overflow: hidden;
}

.mailList {
    ul {
        font-size: 12px;
        max-height: 100px;
        overflow: auto;
        padding-left: 25px;
        padding-right: 5px;
        padding-bottom: 10px;
        margin-top: 10px;
    }

    p {
        //font-size: 18px;
        margin: 0;
        text-decoration: underline;
    }

    b {
        font-size: 120%;
    }
}

.formType {
    align-items: center;
    display: flex;
    margin: 10px;
    border-radius: 4px;
    border: solid 1px #ccc;
    position: relative;
    padding: 10px;

    &-title {
        white-space: pre;
        overflow: hidden;
        max-width: 85%;
        text-overflow: ellipsis;
        z-index: 1;
        font-size: 10px;
        font-weight: bold;
        background: white;
        position: absolute;
        top: -7px;
        left: 10px;
        padding: 0px;
        margin: 0px;
        color: #135f7f;
    }

    ::ng-deep.mat-form-field-suffix {
        color: $secondary;
        font-size: 15px;
        top: 0;
    }

    ::ng-deep.mat-form-field-wrapper {
        padding: 0;
    }
}

.priceContent {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;

    &-label {
        text-align: right;
        color: $primary;
        flex: 1;
        justify-content: flex-end;
        display: flex;
        padding-right: 10px;
    }

    .mat-form-field {
        width: 90px !important;

        input {
            font-weight: bold;
            user-select: none;
        }
    }
}

.priceInfo {
    padding-right: 20px;
    font-size: 10px;
    opacity: 0.5;
    width: 100%;
}

.pjList {
    display: flex;
    width: 100%;
    overflow: auto;
    flex-direction: column;
    background: #666;

    img {
        margin: 10px;
    }
}

.checked {
    opacity: 1;
    color : $secondary;
}

.unchecked {
    opacity: 0.5;
}
